#ifndef ADDDLFREE_H
#define ADDDLFREE_H
#include "ftpaccess.h"
#include "InputFileCtl.h"
#include <qpushbutton.h>

class AddDlFree : public QWidget {
	Q_OBJECT
public:
	AddDlFree(bool dir=false, QWidget *parent=0, char *wname=0);
	~AddDlFree();
public slots:
	void okButtonPressed();
	void cancelButtonPressed();
signals:
	void dlFreeAdded(bool, QString);
private:
	bool		isDir;
	InputFileCtl *	filename;
	QPushButton *	ok;
	QPushButton *	cancel;
};
#endif
